Bug 2020371

Summary: Slow startup of GTK apps due to deadlock in xdg-desktop-portal
Product: [Fedora] Fedora Reporter: Aleksei Bavshin <alebastr89>
Component: xdg-desktop-portalAssignee: David King <amigadave>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: amigadave, gnome-sig, jason.nader
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://github.com/flatpak/xdg-desktop-portal/issues/636
Whiteboard:
Fixed In Version: xdg-desktop-portal-1.10.1-2.fc35 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-14 04:07:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Aleksei Bavshin 2021-11-04 16:57:01 UTC
Description of problem:
https://github.com/flatpak/xdg-desktop-portal/issues/636 - the issue has a detailed explanation, but basically there's a circular dependency between xdg-desktop-portal and GTK implementations of org.freedesktop.FileManager1 dbus service that may cause 25 second initial delay on startup of any GTK application in non-GNOME environments.

Upstream fix: https://github.com/flatpak/xdg-desktop-portal/commit/d7622e15ff8fef114a6759dde564826d04215a9f

Some of our (sway) users are affected by that and I'd like to see the fix applied to the xdg-gesktop-portal package.


Version-Release number of selected component (if applicable):
xdg-desktop-portal-1.10.1-1.fc35.x86_64

Comment 1 Fedora Update System 2021-11-09 11:00:08 UTC
FEDORA-2021-3d27514c33 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3d27514c33

Comment 2 Fedora Update System 2021-11-10 04:11:10 UTC
FEDORA-2021-3d27514c33 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3d27514c33`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3d27514c33

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-11-14 04:07:13 UTC
FEDORA-2021-3d27514c33 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.